## systemdgenie 1.0.0+p24.04+vunstable+git20260123.0607

=== debian/changelog ===
systemdgenie (1.0.0+p24.04+vunstable+git20260123.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 06:07:33 +0000

systemdgenie (1.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000
