=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/systemdgenie/@PACKAGE@@ANY_VERSION@.tar.zst
